View Issue Details

IDProjectCategoryView StatusLast Update
0003870unrealircdpublic2009-11-23 09:48
ReporterohnobinkiAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformamd64OSGentooOS Version2.0
Product Version3.2.8 
Target VersionFixed in Version3.2.9-RC1 
Summary0003870: ircd --help lies to me
DescriptionWhen I run ircd --help, it says ``Server not started'' but it also says that it is reading conf, etc., and it ends up forking and running in the background.
Additional Informationohnobinki@ohnopublishing ~/downloads/unreal234/Unreal3.2 $ src/ircd --help
Usage: ircd [-f config] [-h servername] [-p portnumber] [-x loglevel] [-t] [-H]
Server not started

[!!!] Curl version mismatch: compiled for '7.19.4', library is '7.19.6'
[!!!] Header<->library mismatches can make UnrealIRCd *CRASH*! Make sure you don't have multiple versions of openssl or zlib installed (eg: one in /usr and one in /usr/local). And, if you recently upgraded them, be sure to recompile Unreal.
 _ _ _ ___________ _____ _
| | | | | |_ _| ___ \/ __ \ | |
| | | |_ __ _ __ ___ __ _| | | | | |_/ /| / \/ __| |
| | | | '_ \| '__/ _ \/ _` | | | | | / | | / _` |
| |_| | | | | | | __/ (_| | |_| |_| |\ \ | \__/\ (_| |
 \___/|_| |_|_| \___|\__,_|_|\___/\_| \_| \____/\__,_|
                           v3.2.8.1
                     using TRE 0.7.5 (LGPL)
                     using OpenSSL 0.9.8k 25 Mar 2009
                     using zlib 1.2.3
                     using libcurl/7.19.6 GnuTLS/2.8.3 zlib/1.2.3

* Loading IRCd configuration ..
files {} got initilized!
* Configuration loaded without any problems ..
* Loading tunefile..
* Initializing SSL.
* Dynamic configuration initialized .. booting IRCd.
---------------------------------------------------------------------
ohnobinki@ohnopublishing ~/downloads/unreal234/Unreal3.2 $ #src/ircd --help
ohnobinki@ohnopublishing ~/downloads/unreal234/Unreal3.2 $ cat ircd.pid
17410
ohnobinki@ohnopublishing ~/downloads/unreal234/Unreal3.2 $ pidof ircd
17410
ohnobinki@ohnopublishing ~/downloads/unreal234/Unreal3.2 $ ps -Aef |grep ircd
109 5311 1 0 Sep01 ? 00:01:33 /usr/bin/unrealircd
1000 17410 1 0 15:36 ? 00:00:00 src/ircd --help
1000 17456 8059 0 15:36 pts/16 00:00:00 grep --colour=auto ircd
ohnobinki@ohnopublishing ~/downloads/unreal234/Unreal3.2 $ kill 17410
TagsNo tags attached.
3rd party modules

Activities

2009-10-17 16:59

 

bad_command_return.patch (269 bytes)

syzop

2009-11-23 09:47

administrator   ~0015970

.774:
- When an incorrect command line argument is passed, the IRCd will no longer
  boot. Previously it said 'Server not started' but started anyway.
  Reported and patch provided by ohnobinki (0003870).

Issue History

Date Modified Username Field Change
2009-10-13 21:43 ohnobinki New Issue
2009-10-17 16:59 ohnobinki File Added: bad_command_return.patch
2009-11-23 09:47 syzop QA => Not touched yet by developer
2009-11-23 09:47 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2009-11-23 09:47 syzop Note Added: 0015970
2009-11-23 09:47 syzop Status new => resolved
2009-11-23 09:47 syzop Fixed in Version => 3.2.9-RC1
2009-11-23 09:47 syzop Resolution open => fixed
2009-11-23 09:47 syzop Assigned To => syzop